Subject: [bug#45161] [PATCH 0/1] Update go?

From: Leo Famulari <[email-masked]>
Date: Thu, 10 Dec 2020 12:37:04 -0500

On Thu, Dec 10, 2020 at 06:10:24PM +0300, David Dashyan wrote:
> Yesterday I found packages that won't compile with curent guix's
> go-1.14. Apparently 1.15 is the "stable" thing today.

The Go policy is to support 2 major releases. Since 1.15 is the current
major release, that means that 1.14 is still supported upstream. So
please keep 1.14 unless we don't need it anymore. For example, if no
Guix packages require it. That means ensuring that all the existing Go
packages build successfully... or that there is no new breakage :)

https://golang.org/doc/devel/release.html#policy